---
title: HTMLElement.title
slug: Web/API/HTMLElement/title
tags:
  - API
  - HTML DOM
  - HTMLElement
  - Property
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p><span class="seoSummary">The <strong><code>HTMLElement.title</code></strong> property represents the title of the element: the text usually displayed in a 'tooltip' popup when the mouse is over the node.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>str</em> = <em>element</em>.title;<em>
</em><em>element</em>.title = <em>str</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">const link = document.createElement('a');
link.innerText = 'grapes';
link.href = 'https://en.wikipedia.org/wiki/Grape';
link.title = 'Wikipedia page on grapes';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-title', 'title')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 HTML')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-78276800', 'title')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName('DOM1')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-78276800', 'title')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.title")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML <a href="/en-US/docs/Web/HTML/Global_attributes/title"><strong>title</strong></a> global attribute.</li>
</ul>
